<!DOCTYPE html>
<html lang="zh">
<head>
    <meta charset="UTF-8">
    <meta name="keywords" content="${meta_keywords!}"/>
    <meta name="description" content="${meta_description!}" />
    <meta name="viewport" content="width=device-width, maximum-scale=1, initial-scale=1"/> 
    <meta property="og:site_name" content="${blog_title!}">
     <#-- 导航面包蟹 未完成-->
    <link rel="alternate" type="application/rss+xml" title="atom 1.0" href="${atom_url!}">
    <link href="${theme_base!}/source/css/kico.css" rel="stylesheet" type="text/css"/>
    <link href="${theme_base!}/source/css/single.css" rel="stylesheet" type="text/css"/>
    <link href="https://fastly.jsdelivr.net/gh/FortAwesome/Font-Awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <@global.head />
    <#if ! (options.blog_favicon?? && options.blog_favicon!='')>
        <link rel="shortcut icon" type="images/x-icon" href="${theme_base!}/source/images/icon.png" sizes="192x192"/>
    </#if>
    <#-- 背景图片-->
    <#if settings.rimage_url?? && settings.rimage_url!=''>
        <style>body:before{content: ''; background-image: url(${settings.rimage_url!})}</style>
    </#if>
    <#-- 自定css 未完成-->
</head>
<body >
<header>
<div class="head-title">
        <h4>${blog_title!}</h4>
</div>
 <div class="head-action">
        <div class="toggle-btn"></div>
        <div class="light-btn"></div>
        <div class="search-btn"></div>
</div>
<form class="head-search" method="post">
        <input type="text" name="s"lde placehor="搜索什么？">
</form>
<nav class="head-menu">
<#-- 菜单未优化-->
<@menuTag method="list">
    <#list menus?sort_by('priority') as menu>
            <a href="${menu.url}" target="${menu.target!}">${menu.name} </a>
    </#list>
</@menuTag>
<#-- <@menuTag method="tree">
  <ul>
    <#list menus as menu>
        <a href="${menu.url!}" target="${menu.target!}">${menu.name!}
        <#if menu.children?? && menu.children?size gt 0>
              <#list menu.children as child>
                  <a href="${child.url!}" target="${menu.target!}">${child.name!}</a>
              </#list>
        </#if>
    </#list>
</@menuTag>-->
</nav>
</header>
<main>
    <div class="wrap">
        <div class="error-page">
            <h1>404</h1>
            <p>找不到页面啦</p>
            <img src="${theme_base!}/source/images/404.png"/>
        </div>
    </div>
</main>
<#include "footer.ftl">
</html>
